# Class GridProfile

java.lang.Object
gov.sandia.gnem.slbmjni.GridProfile

public class GridProfile extends Object
Stores information related to a single node in the Earth model. The information is retrieved from a C++ GridProfile object via a call to `SlbmInterface.getGridData(int)` and includes the node ID of the grid node, the geographic latitude and longitude of the grid node, the depths of all model interfaces beneath location of the grid node, the P and S velocities of each model interval, and the P and S velocity gradients in the mantle.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `double[]`
  `depth`
  The depth of each interface in the model, in km.
  `double[]`
  `gradient`
  A 2 element array containing the P and S mantle velocity gradients in 1/sec.
  `double`
  `lat`
  The geographic latitude of the grid node, in radians.
  `static final String[]`
  `layers`
  `double`
  `lon`
  The geographic longitude of the grid node, in radians.
  `int`
  `nodeId`
  The node ID of this node in the grid.
  `private Point`
  `point`
  `double[][]`
  `velocity`
  A 2 x nIntervals array containing the P and S velocities of each interval of the earth model encountered at this horizontal position, in km/sec.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GridProfile()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `String`
  `getLatLon()`
  `int`
  `getNIntervals()`
  Retrieve the number of intervals in this GridProfile, including zero thickness intervals.
  `Point`
  `getPoint()`
  `String`
  `toString()`
  Retrieve a formatted String representation of the information in this GridProfile object.

  ### Methods inherited from class Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### nodeId

    public int nodeId
    The node ID of this node in the grid.

  - ### lat

    public double lat
    The geographic latitude of the grid node, in radians.

  - ### lon

    public double lon
    The geographic longitude of the grid node, in radians.

  - ### depth

    public double[] depth
    The depth of each interface in the model, in km.

  - ### velocity

    public double[][] velocity
    A 2 x nIntervals array containing the P and S velocities of each interval of the earth model encountered at this horizontal position, in km/sec. For the first index, element 0 refers to P velocities and element 1 refers to S velocities.

  - ### gradient

    public double[] gradient
    A 2 element array containing the P and S mantle velocity gradients in 1/sec. Element 0 refers to the P gradient and element 1 refers to the S gradient.

  - ### point

    private Point point

  - ### layers

    public static final String[] layers

- ## Constructor Details

  - ### GridProfile

    public GridProfile()

- ## Method Details

  - ### getLatLon

    public String getLatLon()

  - ### getNIntervals

    public int getNIntervals()
    Retrieve the number of intervals in this GridProfile, including zero thickness intervals. This is equivalent to the number of layers in the earth model.
    Returns:
      int number of intervals in this GridProfile.

  - ### getPoint

    public Point getPoint()

  - ### toString

    public String toString()
    Retrieve a formatted String representation of the information in this GridProfile object.
    Overrides:
      `toString` in class `Object`
    Returns:
      String a formatted String representation of the information in this GridProfile object.

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`